For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customers

Returns all customers

get
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Query parameters
CustomerCodestringOptional
ClientIdstring · uuidOptional
Pageinteger · int32Optional
PageSizeinteger · int32Optional
Responses
200

OK

companyNamestring · nullableOptional
descriptionstring · nullableOptional
phonestring · nullableOptional
emailstring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
idstring · uuidOptional
customerCodestring · nullableOptional
isDiscontinuedbooleanOptional
get
/customers

Create new customer

post
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Body
companyNamestring · nullableOptional
descriptionstring · nullableOptional
phonestring · nullableOptional
emailstring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
clientIdstring · uuid · nullableOptional
customerCodestring · nullableOptional
Responses
200

OK

idstring · uuidOptional
post
/customers

Update an existing customer

put
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Body
companyNamestring · nullableOptional
descriptionstring · nullableOptional
phonestring · nullableOptional
emailstring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
idstring · uuidOptional
Responses
200

OK

idstring · uuidOptional
put
/customers

Returns a single customer by id

get
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Path parameters
idstring · uuidRequired
Responses
200

OK

companyNamestring · nullableOptional
descriptionstring · nullableOptional
phonestring · nullableOptional
emailstring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
idstring · uuidOptional
customerCodestring · nullableOptional
isDiscontinuedbooleanOptional
get
/customers/{id}

Delete customer by Id

delete
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Path parameters
idstring · uuidRequired
Responses
200

OK

No content

delete
/customers/{id}

No content

Last updated

Was this helpful?